Subject: [Sidrops] Adam Roach's Discuss on draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04: (with DISCUSS and COMMENT)

From: Adam Roach via Datatracker <[email-masked]>
Date: Wed, 10 Apr 2019 14:32:25 -0700

Adam Roach has entered the following ballot position for
draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-sidrops-bgpsec-algs-rfc8208-bis/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Thanks to everyone who worked on this document.

This issue should be trivial to fix, but it's still a blocker.

§2.1:

>     Special-Use algorithm IDs span from 0xFA (250) to 0xFE (254).

§7:

>  In addition IANA is asked to register the following address space for
>  "Special-Use":
>
>    Algorithm   Digest          Signature       Specification
>    Suite       Algorithm       Algorithm       Pointer
>    Identifier
>  +------------+---------------+--------------+-----------------------+
>  | 0xFB-0xFE  | Special-Use   | Special-Use  | This Document         |
>  +------------+---------------+--------------+-----------------------+

The ranges here do not match ([0xFA-0xFE] != [0xFB-0xFE]). Presuming that the
text in Section 2.1 is what was intended, this issue impacts all of
the tables in section 7.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I agree with Alexey's discuss.

---------------------------------------------------------------------------

§7:

>  To be modified to:
>
>    Algorithm   Digest          Signature       Specification
>    Suite       Algorithm       Algorithm       Pointer
>    Identifier
>  +------------+---------------+--------------+-----------------------+
>  | 0x2-0xFA   | Unassigned    | Unassigned   |                       |
>  +------------+---------------+--------------+-----------------------+

Nit: The prose has been updated to use "0x02" rather than "0x2". It would be
nice if the IANA section matched this update.

---

From: "Borchert, Oliver (Fed)" <[email-masked]>
Date: Thu, 11 Apr 2019 21:30:11 +0000

Adam,

A previous comment mentioned to split Special -Use into Experimental and Documentation. 
I made the following modification which also addresses your comment:

In section 2, I removed the Special-Use ID and replaced it with:

o  Experimentation Algorithm ID

      Experimentation algorithm IDs span from 0xF7 (247) to 0xFA (250). 
      To allow experimentation to accurately describe deployment
      examples, the use of publicly assigned algorithm IDs is
      inappropriate, and a reserved block of Experimentation algorithm
      IDs is required.  This ensures that experimentation does not clash
      with assigned algorithm IDs in deployed networks, and mitigates
      the risks to operational integrity of the network through
      inappropriate use of experimentation to perform literal
      configuration of routing elements on production systems.  A router
      that encounters an algorithm ID of this type outside of an
      experimental network, SHOULD treat it the same as
      "unsupported algorithm" as specified in Section 5.2 of [RFC8205].

   o  Documentation Algorithm ID

      Documentation algorithm IDs span from 0xFB (251) to 0xFE (254). 
      To allow documentation to accurately describe deployment examples,
      the use of publicly assigned algorithm IDs is inappropriate, and a
      reserved block of Documentation algorithm IDs is required.  This
      ensures that documentation does not clash with assigned algorithm
      IDs in deployed networks, and mitigates the risks to operational
      integrity of the network through inappropriate use of
      documentation to perform literal configuration of routing elements
      on production systems.  A router that encounters an algorithm ID
      of this type SHOULD treat it the same as "unsupported algorithm"
      as specified in Section 5.2 of [RFC8205].

And in section 7:

...
+------------+-----------------+-----------------+------------------+
| 0x02-0xF6  | Unassigned      | Unassigned      |                  |
+------------+-----------------+-----------------+------------------+
| 0xF7-0xFA  | Experimentation | Experimentation | This Document    |
+------------+-----------------+-----------------+------------------+
| 0xFB-0xFE  | Documentation   | Documentation   | This Document    |
+------------+-----------------+-----------------+------------------+
...

I believe this does resolve the issue,

Thanks,
Oliver

-----Original Message-----
From: Adam Roach via Datatracker <[email-masked]> 
Sent: Wednesday, April 10, 2019 5:32 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; Chris Morrow <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Adam Roach's Discuss on draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04: (with DISCUSS and COMMENT)
Importance: High

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fiesg%2Fstatement%2Fdiscuss-criteria.html&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7Ce3d258b2fec2468669b308d6bdfc0897%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636905287512890505&amp;sdata=V%2Fkt7QEPhMzX6OVeunDQh2B8kAq2yWSaqhyOaP7NS%2FE%3D&amp;reserved=0
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-sidrops-bgpsec-algs-rfc8208-bis%2F&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7Ce3d258b2fec2468669b308d6bdfc0897%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636905287512890505&amp;sdata=EwF%2BbEoX%2BW1%2F171PkKHeeN9NckdnGEUMT9M97wdlWTg%3D&amp;reserved=0

>    Suite       Algorithm       Algorithm       Pointer

The ranges here do not match ([0xFA-0xFE] != [0xFB-0xFE]). Presuming that the text in Section 2.1 is what was intended, this issue impacts all of the tables in section 7.

>    Suite       Algorithm       Algorithm       Pointer

Nit: The prose has been updated to use "0x02" rather than "0x2". It would be nice if the IANA section matched this update.

---

From: "Borchert, Oliver (Fed)" <[email-masked]>
Date: Thu, 11 Apr 2019 21:33:16 +0000

Adam,

I also addressed ...

>    Suite       Algorithm       Algorithm       Pointer

And changed it to 

+------------+---------------+--------------+-----------------------+
| 0x02-0xFA   | Unassigned    | Unassigned   |                       |
+------------+---------------+--------------+-----------------------+

Thanks,
Oliver

---

From: Adam Roach <[email-masked]>
Date: Thu, 11 Apr 2019 17:42:10 -0500

Thanks! These two changes look good to me. I'll clear when a new version 
of the draft is submitted (note, however, that I am out of the office 
tomorrow).

/a

---

From: "Borchert, Oliver (Fed)" <[email-masked]>
Date: Fri, 12 Apr 2019 13:24:17 +0000

I will try to upload 05 today,

Oliver

On 4/11/19, 6:42 PM, "Sidrops on behalf of Adam Roach" <[email-masked] on behalf of [email-masked]> wrote:

    /a
    
    On 4/11/19 4:33 PM, Borchert, Oliver (Fed) wrote:
    > Please refer to https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fiesg%2Fstatement%2Fdiscuss-criteria.html&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7C6b3f894c581742ec6be408d6becefbe2%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636906193534300243&amp;sdata=cat0%2BcdMYXrnoT7a%2F0frYtwlzUIW0SoG8LWq%2FkYhexA%3D&amp;reserved=0
    > https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-sidrops-bgpsec-algs-rfc8208-bis%2F&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7C6b3f894c581742ec6be408d6becefbe2%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636906193534300243&amp;sdata=jKTlKC0lTq%2BBKAzvKfvEBxsFshcVsP0eBgYOZPjBKcI%3D&amp;reserved=0
    >
    >
    >
    
    _______________________________________________
    Sidrops mailing list
    [email-masked]
    https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fsidrops&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7C6b3f894c581742ec6be408d6becefbe2%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636906193534310248&amp;sdata=PKhnvr013zQO4aMtlHTP54u7%2FOScRVQzzgfZu0xjh6g%3D&amp;reserved=0